<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zcloud.modules.sys.dao.BusImgfilesDao">

    <!--分页查询-->
    <select id="listPage" resultType="java.util.Map">
        SELECT
            *
        FROM bus_imgfiles
        <where>
            <if test="params.imgfilesId != null and params.imgfilesId != ''">
                    AND imgfiles_id = #{params.imgfilesId}
            </if>
            <if test="params.filepath != null and params.filepath != ''">
                    AND filepath = #{params.filepath}
            </if>
            <if test="params.type != null">
                    AND type = #{params.type}
            </if>
            <if test="params.foreignKey != null and params.foreignKey != ''">
                    AND foreign_key = #{params.foreignKey}
            </if>
            <if test="params.corpinfoId != null and params.corpinfoId != ''">
                    AND corpinfo_id = #{params.corpinfoId}
            </if>
        </where>
        ORDER BY create_time DESC
    </select>
</mapper>
